import { combineReducers, Action } from '@ngrx/store';

import { reducer as CommonReducer } from './common/reducers';
import { reducer as DepartmentReducer } from './department/reducers';

export function reducers(state: any | undefined, action: Action) {
  return combineReducers({
    common: CommonReducer,
    department: DepartmentReducer
  })(state, action);
}
